Bug 520306 - Review Request: python-editobj - Tkinter dialog box for editing any Python object
Summary: Review Request: python-editobj - Tkinter dialog box for editing any Python ob...
Keywords:
Status: CLOSED NOTABUG
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
low
medium
Target Milestone: ---
Assignee: Nobody's working on this, feel free to take it
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2009-08-30 12:33 UTC by Adrien Schreque
Modified: 2009-11-15 16:58 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2009-11-15 16:58:32 UTC


Attachments (Terms of Use)

Description Adrien Schreque 2009-08-30 12:33:42 UTC
Spec URL: http://adrien.schreque.free.fr/repo/python-editobj.spec
SRPM URL: http://adrien.schreque.free.fr/repo/python-editobj-0.5.7-1.fc11.src.rpm
Homepage : http://home.gna.org/oomadness/en/editobj/

This is my first package submitted to Fedora extras. 
I need a sponsor.

Description: 

I would appreciate a review of the EditObj, a python module. 

EditObj can create and display a Tkinter dialog box for editing any Python
object (similarly to what Java call a Bean editor, but for Python object).
EditObj is a useful tool for writing (text or non-text) editors of all
kinds, including GUI editor, 3D editor,... It also includes a Python console.

EditObj supports also lists, dictionaries and hierarchies (nested lists)
edition.  EditObj includes also a tree widget for Tkinter, an event framework
and a mutiple undo/redo system.

Comment 1 Adrien Schreque 2009-08-30 21:44:53 UTC
rpmlint result above SPEC and SRPM file :
[builder@srv01 rpmbuild]$ rpmlint SRPMS/python-editobj-0.5.7-1.fc11.src.rpm 
1 packages and 0 specfiles checked; 0 errors, 0 warnings.
[builder@srv01 rpmbuild]$ rpmlint SPECS/python-editobj.spec 
0 packages and 1 specfiles checked; 0 errors, 0 warnings.

Comment 2 Jason Tibbitts 2009-09-18 19:13:23 UTC
This does build fine for me in rawhide, and rpmlint is indeed silent.

If this package really uses tkinter, shouldn't it depend on it in some way?  Currently it only depends on python.

Is there any point in packaging the obsolete editobj1 code instead of editobj2?  The upstream web site refers only to editobj2.

Comment 3 Adrien Schreque 2009-09-21 21:15:45 UTC
For Tkinter dependency, you're right. The code source contains explicit import of tkinter. The SPEC file should add an explicit dependency to Tkinter. I will correct this.

As far as I know, EditObj 2 has superseded previous version and was a full rewrite. But is there obsolote code in it, I prefer ask upstream. As I receive a response of upstream team, I post here the answer.

Comment 4 Adrien Schreque 2009-09-21 22:02:38 UTC
Sorry, I miss the point from previous question indead. You meant, is the current package is for releasing EditObj 2 or previous release ? Well, this package contains only EditObj 2, if this was your question.

If not, could you detailled your question ?

Comment 5 Jason Tibbitts 2009-09-21 23:39:11 UTC
The package I downloaded from the URL above  contains editobj 1, or at least that is how it seems.  Version 0.5.7 of editobj1, which it seems that you have packaged, is from 2006; the last editobj2 version (0.2.1) came out in March of this year.  So it seems that this package does not contain editobj2 at all.

Comment 6 Adrien Schreque 2009-09-22 01:08:33 UTC
True, my bad. In fact, this is EditObj version 1. I confused myself between the two versions.

Here is the correct version :
Spec URL: http://adrien.schreque.free.fr/repo/python-editobj2.spec
SRPM URL:
http://adrien.schreque.free.fr/repo/python-editobj2-0.2.1-1.fc11.src.rpm

My apologies for my mistake.


Note You need to log in before you can comment on or make changes to this bug.